Debian Bug report logs - #577209
libdbi-perl: DBI<>DBD ABI change breaks partial upgrades

version graph

Package: libdbi-perl; Maintainer for libdbi-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libdbi-perl is src:libdbi-perl.

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sat, 10 Apr 2010 13:42:04 UTC

Severity: serious

Found in version libdbi-perl/1.610.90-1

Fixed in version 1.610.90+is+1.609-1

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#577209; Package release.debian.org. (Sat, 10 Apr 2010 13:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Apr 2010 13:42:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nmu: Please schedule binNMUs against libdbi-perl
Date: Sat, 10 Apr 2010 15:38:16 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: binnmu
User: release.debian.org@packages.debian.org
Usertags: binnmu

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256


It looks like the arch:any packages build-depending on libdbi-perl
need binNMUs against the new libdbi-perl 1.610.90-1.

Please note that libdbd-mysql-perl already saw a sourceful upload;
I've now locally verified that libdbd-sqlite3-perl errors out and
works after a rebuild.

If my grep-dctrl foo worked this should be:

nmu libdbd-odbc-perl_1.23-1 . ALL . -m "Rebuilt against new libdbi-perl."
nmu libdbd-pg-perl_2.17.1-1 . ALL . -m "Rebuilt against new libdbi-perl."
nmu libdbd-sqlite2-perl_2:0.33-8 . ALL . -m "Rebuilt against new libdbi-perl."
nmu libdbd-sqlite3-perl_1.29-1 . ALL . -m "Rebuilt against new libdbi-perl."
nmu libdbd-sybase-perl_1.00-3 . ALL . -m "Rebuilt against new libdbi-perl."
nmu libdbix-oo-perl_0.0.9-2 . ALL . -m "Rebuilt against new libdbi-perl."
nmu libpoe-component-dbiagent-perl_0.26-1 . ALL . -m "Rebuilt against new libdbi-perl."
nmu libtfbs-perl_0.5.svn.20091128-1 . ALL . -m "Rebuilt against new libdbi-perl."
nmu olive_1.3-3 . ALL . -m "Rebuilt against new libdbi-perl."
nmu sympa_5.4.7-1 . ALL . -m "Rebuilt against new libdbi-perl."


Cheers,
gregor, who hopes he got his first binNMU request right

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLwH9EAAoJELs6aAGGSaoGY1oQAItBdW+SUNNWwPnIdPfEu95N
0x/C+USGh2d6Q4BfGiRGPgaIl3WYVyrrITwYPdSp5LI5z2ouZ0nhWK2Xb3DW1rc7
zi5D86XSIKER83bPVD2qd5AfDf9x1FXhrq73OGIIbmD8A4S+Wt09L8pM5foEEEJp
AtwT575FoSmlVclJt63ByBzbm8t2NrxZiwQu+aeNQQ+BcBF6BUmmbge5k9xKbP26
FT/lsvaQKHRtkEnWcVxxzpGUcPXB1PyutVW4XAPghD3h/+7iEA4EJ+1EGa5jR6L2
AoqoWDPQUaGYnBkxz4fkdNVq5Vpjm88t06SVB4ofqgFKBN1mdPlL2IPgcJOxfBD8
O7zMTyTxq3pdfYjmRVhZfunp4AcBU9YfdmAB4hVefyEBte+hnymTWn+DexokDaVi
6PO+ipHg4qVkqcnfok1AmY2QBhvs/n4w2D/npUM5ghz3/O8exDC9EBf/3YbmgiKN
jwFPGDX/Yd1vuFDQ/aCPS9gI9GlxlFHYocjYLWtNHPng7CMAy9ssrBILvzA3bI+A
f9qwmFJa2BlJxfeJi+LEWQ/PPdl1C59xeL3hGH3+Ro5kJQAVFuyGC4eK4BNPmG/3
1f0O1eC4+8joRDzmcaKuMfnhHMRvrvhnpImRD2iro5jX4y9E5lv0BUWk7JBks7eU
dG8KBKCe6ZB4w28MDnBb
=R2TB
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#577209; Package release.debian.org. (Sat, 10 Apr 2010 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Apr 2010 19:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 577209@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 577209@bugs.debian.org
Subject: Re: Bug#577209: nmu: Please schedule binNMUs against libdbi-perl
Date: Sat, 10 Apr 2010 21:17:29 +0200
[Message part 1 (text/plain, inline)]
On Sat, 10 Apr 2010 20:06:18 +0100, Adam D. Barratt wrote:

> On Sat, 2010-04-10 at 15:38 +0200, gregor herrmann wrote:
> > nmu libdbix-oo-perl_0.0.9-2 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu olive_1.3-3 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu libpoe-component-dbiagent-perl_0.26-1 . ALL . -m "Rebuilt against new libdbi-perl."
> These are arch:all 

Oops, maybe I shouldn't rely on packages using B-D and B-D-I
correctly ...

> so will need sourceful uploads.

Or they "just work", I guess the problem is with compiled stuff.

But two of them are in the pkg-perl repo, so I just check them.
 
> > nmu libdbd-odbc-perl_1.23-1 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu libdbd-pg-perl_2.17.1-1 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu libdbd-sqlite2-perl_2:0.33-8 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu libdbd-sqlite3-perl_1.29-1 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu libdbd-sybase-perl_1.00-3 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu libtfbs-perl_0.5.svn.20091128-1 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu sympa_5.4.7-1 . ALL . -m "Rebuilt against new libdbi-perl."
> Scheduled.

Thanks!
 
> I also added a dep-wait on "libdbi-perl (>= 1.610.90-1)" as it isn't yet
> available everywhere.

Great.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Beatles: Long Long Long
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#577209; Package release.debian.org. (Sat, 10 Apr 2010 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Apr 2010 19:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 577209@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 577209@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#577209: nmu: Please schedule binNMUs against libdbi-perl
Date: Sat, 10 Apr 2010 22:18:38 +0300
On Sat, Apr 10, 2010 at 03:38:16PM +0200, gregor herrmann wrote:
 
> It looks like the arch:any packages build-depending on libdbi-perl
> need binNMUs against the new libdbi-perl 1.610.90-1.

I don't think this is quite enough. What's preventing breakage on partial
upgrades where libdbi-perl is upgraded but libdbd-*-perl isn't?

For reference, I assume this is about

 ii  libdbd-pg-perl       2.17.1-1             Perl DBI driver for the PostgreSQL database server
 ii  libdbi-perl          1.610.90-1           Perl Database Interface (DBI)

 % perl -MDBI -e 'DBI->connect("dbi:Pg:foo")'
 install_driver(Pg) failed: DBI/DBD internal version mismatch (DBI is v95/s208, DBD Pg.xsi expected v94/s208) you probably need to rebuild the DBD driver (or possibly the DBI).
 Compilation failed in require at (eval 3) line 3.

This comes from DBISTATE_VERSION in DBIXS.h, and I see it's the first
time the number changed in more than ten years (DBI-1.13 on CPAN has
94 already.)

I suppose just adding libdbi-perl Breaks: entries for the current versions
of libdbd-*-perl would be enough.

For a full binNMU-compatible solution, libdbi-perl could use
DBISTATE_VERSION to derive
 Provides: perl-dbiabi-95
or something like that, and the libdbd-*-perl packages should do the
same trick when they generate their dependencies.

Also, I doubt these are really needed:

> nmu libdbix-oo-perl_0.0.9-2 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu libpoe-component-dbiagent-perl_0.26-1 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu libtfbs-perl_0.5.svn.20091128-1 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu olive_1.3-3 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu sympa_5.4.7-1 . ALL . -m "Rebuilt against new libdbi-perl."

as they don't seem to be DBD plugins and three of them are Arch:all anyway.

Hope this makes sense,
-- 
Niko Tyni   ntyni@debian.org




Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 10 Apr 2010 19:42:06 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Sat, 10 Apr 2010 19:42:06 GMT) Full text and rfc822 format available.

Message #20 received at 577209-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: gregor herrmann <gregoa@debian.org>, 577209-done@bugs.debian.org
Subject: Re: Bug#577209: nmu: Please schedule binNMUs against libdbi-perl
Date: Sat, 10 Apr 2010 20:06:18 +0100
Hi,

On Sat, 2010-04-10 at 15:38 +0200, gregor herrmann wrote:
> nmu libdbix-oo-perl_0.0.9-2 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu olive_1.3-3 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu libpoe-component-dbiagent-perl_0.26-1 . ALL . -m "Rebuilt against new libdbi-perl."

These are arch:all so will need sourceful uploads.

> nmu libdbd-odbc-perl_1.23-1 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu libdbd-pg-perl_2.17.1-1 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu libdbd-sqlite2-perl_2:0.33-8 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu libdbd-sqlite3-perl_1.29-1 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu libdbd-sybase-perl_1.00-3 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu libtfbs-perl_0.5.svn.20091128-1 . ALL . -m "Rebuilt against new libdbi-perl."
> nmu sympa_5.4.7-1 . ALL . -m "Rebuilt against new libdbi-perl."

Scheduled.

I also added a dep-wait on "libdbi-perl (>= 1.610.90-1)" as it isn't yet
available everywhere.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#577209; Package release.debian.org. (Sat, 10 Apr 2010 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Apr 2010 22:33:02 GMT) Full text and rfc822 format available.

Message #25 received at 577209@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 577209@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#577209: nmu: Please schedule binNMUs against libdbi-perl
Date: Sun, 11 Apr 2010 00:30:50 +0200
[Message part 1 (text/plain, inline)]
On Sat, 10 Apr 2010 22:18:38 +0300, Niko Tyni wrote:

> > It looks like the arch:any packages build-depending on libdbi-perl
> > need binNMUs against the new libdbi-perl 1.610.90-1.
> I don't think this is quite enough. What's preventing breakage on partial
> upgrades where libdbi-perl is upgraded but libdbd-*-perl isn't?

Ack, those package just depend on libdbi-perl >= something ...
 
>  % perl -MDBI -e 'DBI->connect("dbi:Pg:foo")'
>  install_driver(Pg) failed: DBI/DBD internal version mismatch (DBI is v95/s208, DBD Pg.xsi expected v94/s208) you probably need to rebuild the DBD driver (or possibly the DBI).
>  Compilation failed in require at (eval 3) line 3.
> 
> This comes from DBISTATE_VERSION in DBIXS.h, and I see it's the first
> time the number changed in more than ten years (DBI-1.13 on CPAN has
> 94 already.)

Ah. I was already wondering why we haven't seen this before.
 
> I suppose just adding libdbi-perl Breaks: entries for the current versions
> of libdbd-*-perl would be enough.

Ok, I'll do this.
 
> For a full binNMU-compatible solution, libdbi-perl could use
> DBISTATE_VERSION to derive
>  Provides: perl-dbiabi-95
> or something like that, and the libdbd-*-perl packages should do the
> same trick when they generate their dependencies.

Hm, if DBISTATE_VERSION only changes every 10 years the Breaks should
be enough, I guess.
 
> Also, I doubt these are really needed:
> 
> > nmu libdbix-oo-perl_0.0.9-2 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu libpoe-component-dbiagent-perl_0.26-1 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu libtfbs-perl_0.5.svn.20091128-1 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu olive_1.3-3 . ALL . -m "Rebuilt against new libdbi-perl."
> > nmu sympa_5.4.7-1 . ALL . -m "Rebuilt against new libdbi-perl."
> as they don't seem to be DBD plugins and three of them are Arch:all anyway.

Ack, I trusted grep-dctrl's output when checking for Build-Depends
and haven't checked the Architecture.
 
> Hope this makes sense,

Absolutely, thanks for your help!

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Penelope Swales: Waterclock
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#577209; Package release.debian.org. (Sat, 10 Apr 2010 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Apr 2010 23:15:05 GMT) Full text and rfc822 format available.

Message #30 received at 577209@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 577209@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#577209: nmu: Please schedule binNMUs against libdbi-perl
Date: Sun, 11 Apr 2010 01:03:29 +0200
[Message part 1 (text/plain, inline)]
On Sun, 11 Apr 2010 00:30:50 +0200, gregor herrmann wrote:

> > I suppose just adding libdbi-perl Breaks: entries for the current versions
> > of libdbd-*-perl would be enough.
> Ok, I'll do this.

Before I further increase the chaos: Does this look right?

#v+
Index: debian/control
===================================================================
--- debian/control      (revision 55877)
+++ debian/control      (working copy)
@@ -17,6 +17,10 @@
 Package: libdbi-perl
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}, libplrpc-perl
+Breaks: libdbd-mysql-perl (<< 4.013-2), libdbd-odbc-perl (<< 1.23-1+),
+ libdbd-pg-perl (<< 2.17.1-1+), libdbd-sqlite2-perl (<< 2:0.33-8+),
+ libdbd-sqlite3-perl (<< 1.29-1+), libdbd-sybase-perl (<< 1.00-3+b2),
+ libdbd-oracle-perl (<< 1.21-2+)
 Description: Perl Database Interface (DBI)
  DBI (DataBase Interface) is a Perl framework that provides a common interface
  to access various backend databases in a uniform manner. DBD (DataBase Driver)
#v-

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: U2: In A Little While
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#577209; Package release.debian.org. (Sun, 11 Apr 2010 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 11 Apr 2010 19:57:06 GMT) Full text and rfc822 format available.

Message #35 received at 577209@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 577209@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#577209: nmu: Please schedule binNMUs against libdbi-perl
Date: Sun, 11 Apr 2010 22:54:30 +0300
[Message part 1 (text/plain, inline)]
reopen 577209
reassign 577209 libdbi-perl 1.610.90-1
retitle 577209 libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
severity 577209 serious
thanks

The sid breakage should be gone with the binNMUs, but I think the partial
upgrade issue is RC, so reopening and reassigning.

On Sun, Apr 11, 2010 at 01:03:29AM +0200, gregor herrmann wrote:
> On Sun, 11 Apr 2010 00:30:50 +0200, gregor herrmann wrote:
> 
> > > I suppose just adding libdbi-perl Breaks: entries for the current versions
> > > of libdbd-*-perl would be enough.
> > Ok, I'll do this.

Unfortunately it's not enough: the other direction may break too.

 ii  libdbd-pg-perl       2.17.1-1+b1          Perl DBI driver for the PostgreSQL database server
 ii  libdbi-perl          1.609-1              Perl Database Interface (DBI)
 
 % perl -MDBI -e 'DBI->connect("dbi:Pg:foo")'
 install_driver(Pg) failed: DBI/DBD internal version mismatch (DBI is v94/s208, DBD Pg.xsi expected v95/s208) you probably need to rebuild the DBD driver (or possibly the DBI).
 Compilation failed in require at (eval 3) line 3.

This also means that if any of the binNMUs migrate to testing before
libdbi-perl 1.610.90-2 they will be broken there.
 
So AFAICS we need (at a minimum) both
 - Breaks: entries in libdbi-perl and
 - sourceful uploads of all the libdbd-*-perl packages with bumped build
   and runtime dependencies as was already done for libdbd-mysql-perl

> +Breaks: libdbd-mysql-perl (<< 4.013-2), libdbd-odbc-perl (<< 1.23-1+),
> + libdbd-pg-perl (<< 2.17.1-1+), libdbd-sqlite2-perl (<< 2:0.33-8+),
> + libdbd-sqlite3-perl (<< 1.29-1+), libdbd-sybase-perl (<< 1.00-3+b2),
> + libdbd-oracle-perl (<< 1.21-2+)

Please note that libdbd-sybase-perl has different binNMU versions on
different architectures (and that << +b2 isn't actually correct for any
of them if I read http://packages.debian.org/libdbd-sybase-perl correctly.)

Using the binNMU suffixes here seems rather fragile to me.  I think it's
going to break for derivative distributions as their binNMUs aren't in
sync with ours.

Also, stable updates could be a problem at least for libdbd-sybase-perl
and libdbd-oracle-perl which have the same source version in all the
suites. If the lenny version gets a security fix and increments the
source version, the Breaks in squeeze no longer affects it and it breaks
on partial lenny->squeeze upgrades.

As we seem to need sourceful uploads for all the affected packages after
all, I think libdbi-perl should just Break: all the earlier versions.
Determining the correct numbers can only be done afterwards, so it
may make sense to postpone this step.

At this point, I think that implementing the perl-dbdabi-xxx scheme
has very little extra cost. Again, the benefit is that another version
change in the future (however improbable) can be handled with simple
binNMUs with no need for new Breaks entries or anything like that.

Proof of concept attached as patches against libdbi-perl and
libdbd-pg-perl. Eyeballs and comments would be welcome.
-- 
Niko Tyni   ntyni@debian.org
[libdbi-perl.debdiff (text/plain, attachment)]
[libdbd-pg-perl.debdiff (text/plain, attachment)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Apr 2010 19:57:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'release.debian.org' to 'libdbi-perl'. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 11 Apr 2010 19:57:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libdbi-perl/1.610.90-1. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 11 Apr 2010 19:57:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'libdbi-perl: DBI<>DBD ABI change breaks partial upgrades' from 'nmu: Please schedule binNMUs against libdbi-perl' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 11 Apr 2010 19:57:10 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 11 Apr 2010 19:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Mon, 12 Apr 2010 05:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 12 Apr 2010 05:54:03 GMT) Full text and rfc822 format available.

Message #50 received at 577209@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: debian-perl@lists.debian.org
Cc: 577209@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Mon, 12 Apr 2010 08:51:55 +0300
On Sun, Apr 11, 2010 at 10:54:30PM +0300, Niko Tyni wrote:
> The sid breakage should be gone with the binNMUs, but I think the partial
> upgrade issue is RC, so reopening and reassigning.

One option to fix the breakage and get a controlled transition later is
to upload the older libdbi-perl with an epoch and do binNMUs again, That
still means sourceful uploads for libdbd-mysql-perl and libdbd-csv-perl,
which already had their dependencies bumped.

DBI 1.610_90 is considered a development release on CPAN, and it
looks like it was introduced for libdbd-csv-perl 0.2800-1, see #576672.
However, DBI.pm 1.611 (contained in libdbi-perl 1.610.90-1) is only a
recommendation in META.yml. The requirement is just 1.00.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Mon, 12 Apr 2010 14:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 12 Apr 2010 14:42:07 GMT) Full text and rfc822 format available.

Message #55 received at 577209@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: debian-perl@lists.debian.org, 577209@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Mon, 12 Apr 2010 16:38:58 +0200
[Message part 1 (text/plain, inline)]
On Mon, 12 Apr 2010 08:51:55 +0300, Niko Tyni wrote:

> On Sun, Apr 11, 2010 at 10:54:30PM +0300, Niko Tyni wrote:
> > The sid breakage should be gone with the binNMUs, but I think the partial
> > upgrade issue is RC, so reopening and reassigning.
> One option to fix the breakage and get a controlled transition later is
> to upload the older libdbi-perl with an epoch and do binNMUs again, That
> still means sourceful uploads for libdbd-mysql-perl and libdbd-csv-perl,
> which already had their dependencies bumped.

Right; IMO doing it right now would be better; reverting the change
also leads to work and postpones the transition only.
 
> DBI 1.610_90 is considered a development release on CPAN, and it
> looks like it was introduced for libdbd-csv-perl 0.2800-1, see #576672.

Yup.

> However, DBI.pm 1.611 (contained in libdbi-perl 1.610.90-1) is only a
> recommendation in META.yml. The requirement is just 1.00.

*sigh*
So we could have avoided the current situation by looking closer ...


Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Beatles
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Mon, 12 Apr 2010 18:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 12 Apr 2010 18:51:06 GMT) Full text and rfc822 format available.

Message #60 received at 577209@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: debian-perl@lists.debian.org, 577209@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Mon, 12 Apr 2010 21:49:56 +0300
On Mon, Apr 12, 2010 at 04:38:58PM +0200, gregor herrmann wrote:
> On Mon, 12 Apr 2010 08:51:55 +0300, Niko Tyni wrote:
> 
> > On Sun, Apr 11, 2010 at 10:54:30PM +0300, Niko Tyni wrote:
> > > The sid breakage should be gone with the binNMUs, but I think the partial
> > > upgrade issue is RC, so reopening and reassigning.
> > One option to fix the breakage and get a controlled transition later is
> > to upload the older libdbi-perl with an epoch and do binNMUs again, That
> > still means sourceful uploads for libdbd-mysql-perl and libdbd-csv-perl,
> > which already had their dependencies bumped.

(Correction: no sourceful uploads would be necessary for this step.
 libdbd-csv-perl is arch:all and therefore not affected by the issue.
 The current libdbd-mysql-perl version could be reverted back to the old
 ABI level (94) with a binNMU against the epoch'd libdbi-perl 1:1.609-1
 just like all the others.)

The binNMUs that have already migrated (at least libdbd-sybase-perl,
libdbd-odbc-perl, and libdbd-sqlite2-perl on some architectures) are
currently broken in squeeze.

Unfortunately any new binNMUs are going to get stalled behind perl
5.10.1-12, which I uploaded last night with urgency=low, so quick
fixes for squeeze seem to be impossible anyway.

> Right; IMO doing it right now would be better; reverting the change
> also leads to work and postpones the transition only.

Do we really want to have a DBI development release in squeeze?
It doesn't seem to be actually needed for anything. If we don't
want it, postponing the transition becomes a positive effect.

I think that the epoch option would get squeeze into a releasable state
quicker, but it's possible that I'm overengineering all this.

The additional work with the epoch option is "only" binNMUs, and the
number of sourceful uploads stays the same AFAICS.

The summary as I see it:

Plan A: "don't look back"

(A0. wait for libdbi-perl 1.610.90-1 and all the current binNMUs to enter
     squeeze to fix the immediate breakage)
A1. upload libdbi-perl 1.610.90-2 that Provides: perl-dbdabi-95 and possibly
    Breaks: libdbd-*-perl versions older than the current binNMUs
A2. get sourceful uploads done for all the libdbd-*-perl packages
    adding a (preferrably binNMU safe) dependency on perl-dbdabi-95

 When these get in squeeze we're probably non-RC, but things may be
 difficult for derivative distributions and stable updates.
 That can be fixed by

A3. upload libdbi-perl 1.610.90-3 that Breaks: all the libdbd-*-perl
    packages earlier than A2

Plan B: "revert for now"

B1. upload libdbi-perl 1:1.609-2 that Provides: perl-dbdabi-94
B2. binNMU libdbd-*-perl; wait until the currently broken binNMUs in
    squeeze are superseded

 At this point I think we're non-RC, effectively at square one. We can
 now prepare the transition properly:

B3. file bugs to get a binNMU safe perl-dbdabi-N dependency, into
    libdbd-*-perl, N==94 at this point
B4. once those are fixed, upload libdbi-perl 1:1.610.90-2 (or a later
    real release if that's preferred) that Provides: perl-dbdabi-95 and
    Breaks: libdbd-*-perl versions older than B3.
B5. then binNMU the libdbd-*-perl packages to update them to
    perl-dbdabi-95

While I'm certainly arguing for plan B here, I'm open to persuasion :)
Please point out any mistakes, my head hurts after all this.

I'm of course willing to help (time permitting) with the implementation
of any scheme that gets this issue fixed once we have consensus.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Mon, 12 Apr 2010 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 12 Apr 2010 21:33:03 GMT) Full text and rfc822 format available.

Message #65 received at 577209@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Niko Tyni <ntyni@debian.org>, 577209@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Mon, 12 Apr 2010 23:31:33 +0200
[Message part 1 (text/plain, inline)]
On Mon, 12 Apr 2010 21:49:56 +0300, Niko Tyni wrote:

> > > One option to fix the breakage and get a controlled transition later is
> > > to upload the older libdbi-perl with an epoch and do binNMUs again, That
> > > still means sourceful uploads for libdbd-mysql-perl and libdbd-csv-perl,
> > > which already had their dependencies bumped.
> (Correction: no sourceful uploads would be necessary for this step.
>  libdbd-csv-perl is arch:all and therefore not affected by the issue.
>  The current libdbd-mysql-perl version could be reverted back to the old
>  ABI level (94) with a binNMU against the epoch'd libdbi-perl 1:1.609-1
>  just like all the others.)

Ack.
 
> The binNMUs that have already migrated (at least libdbd-sybase-perl,
> libdbd-odbc-perl, and libdbd-sqlite2-perl on some architectures) are
> currently broken in squeeze.

Oops, I hadn't realized how fast binNMUs migrate.
 
> > Right; IMO doing it right now would be better; reverting the change
> > also leads to work and postpones the transition only.
> Do we really want to have a DBI development release in squeeze?
> It doesn't seem to be actually needed for anything. If we don't
> want it, postponing the transition becomes a positive effect.

I think in general we don't want development releases, and this one
was a (wrong) exception ...
 
> Plan A: "don't look back"
>  When these get in squeeze we're probably non-RC, but things may be
>  difficult for derivative distributions and stable updates.

Good point.

> Plan B: "revert for now"
> B4. once those are fixed, upload libdbi-perl 1:1.610.90-2 (or a later
>     real release if that's preferred) 

A real release would be preferrable IMO.

> While I'm certainly arguing for plan B here, I'm open to persuasion :)
> Please point out any mistakes, my head hurts after all this.

My head hurts, too, and that only after reading :)
Thanks for taking the time to analyze this mess!

(Maybe someone else still reading along with less headache also has
some thoughts?)


After reading through the two plans now for the fifth time, I think
plan B brings a "stable" state earlier, since plan A relies on the
sourceful libdbd-*-perl packages.
 
> I'm of course willing to help (time permitting) with the implementation
> of any scheme that gets this issue fixed once we have consensus.

Thanks!


Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Bruce Springsteen: Let's Be Friends (Skin to Skin)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Mon, 12 Apr 2010 21:51:08 GMT) Full text and rfc822 format available.

Message #68 received at 577209@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-perl@lists.debian.org, 577209@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Tue, 13 Apr 2010 00:49:56 +0300
[Message part 1 (text/plain, inline)]
-=| Niko Tyni, Mon, Apr 12, 2010 at 09:49:56PM +0300 |=-
> Plan A: "don't look back"
> Plan B: "revert for now"

I dislike Plan B because of the epoch. I hate epochs. Once you get 
one, you can never drop it. It also breaks dh-make-perl's dependency 
resolver :/ (but it is already broken for DBI, because the module 
version doesn't match the distribution (and package) version).

Yes, this is more emptional than technical reason, but I thought I'd 
give it anyway.

If epochs can be avoided (by a slightly less ugly version like 
1.610.90+is+1.609), I am all for Plan B. This will still break 
dh-make-perl, but only until the next DBI release.

Cheers!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Tue, 13 Apr 2010 20:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 13 Apr 2010 20:21:07 GMT) Full text and rfc822 format available.

Message #73 received at 577209@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: debian-perl@lists.debian.org, 577209@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Tue, 13 Apr 2010 23:19:30 +0300
Release team (cc'd): could somebody please check that the plan below
is sane?  Are you OK with going ahead?

On Tue, Apr 13, 2010 at 12:49:56AM +0300, Damyan Ivanov wrote:
> -=| Niko Tyni, Mon, Apr 12, 2010 at 09:49:56PM +0300 |=-
> > Plan B: "revert for now"

> If epochs can be avoided (by a slightly less ugly version like
> 1.610.90+is+1.609), I am all for Plan B. This will still break
> dh-make-perl, but only until the next DBI release.

I can't see why that wouldn't work (although I'd prefer
the epoch myself but never mind.)

So I propose the following updated plan (supported by Gregor and Damyan):

B1. reupload DBI-1.609 as libdbi-perl 1.610.90+is+1.609-1 that
    Provides: perl-dbdabi-94
B2. binNMU libdbd-*-perl [1] again with a dep-wait on the new libdbi-perl;
    wait until the currently broken binNMUs in squeeze are superseded

 At this point I think we're non-RC, effectively at square one. We can
 now prepare the transition properly:

B3. file bugs to get a binNMU safe perl-dbdabi-N dependency into
    libdbd-*-perl, N==94 at this point
B4. once those are fixed and DBI has seen a non-development release like
    1.611, upload it with
     Provides: perl-dbdabi-95
     Breaks: libdbd-*-perl versions older than B3.
B5. then binNMU the libdbd-*-perl packages to update them to
    perl-dbdabi-95

[1] the arch:any libdbd-*-perl packages concerned are
 libdbd-mysql-perl
 libdbd-odbc-perl
 libdbd-pg-perl
 libdbd-sqlite2-perl
 libdbd-sqlite3-perl
 libdbd-sybase-perl

and additionally two contrib ones that probably can't be binNMUed:
 libdbd-oracle-perl
 libdbd-informix-perl

-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Fri, 16 Apr 2010 19:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 16 Apr 2010 19:00:05 GMT) Full text and rfc822 format available.

Message #78 received at 577209@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 577209@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Fri, 16 Apr 2010 20:56:23 +0200
[Message part 1 (text/plain, inline)]
On Tue, 13 Apr 2010 23:19:30 +0300, Niko Tyni wrote:

> So I propose the following updated plan (supported by Gregor and Damyan):

Looks like we actually have to implement the plan now :)
 
> B1. reupload DBI-1.609 as libdbi-perl 1.610.90+is+1.609-1 that
>     Provides: perl-dbdabi-94

Done.
No, not uploaded, just prepared in svn.

Niko, Dam, @others: could you please take a look and
fix/uploaded/tell me to upload?

> B2. binNMU libdbd-*-perl [1] again with a dep-wait on the new libdbi-perl;
>     wait until the currently broken binNMUs in squeeze are superseded

Niko, could you please handle this binNMU request, I think you can
explain the situation best :)
 
> B3. file bugs to get a binNMU safe perl-dbdabi-N dependency into
>     libdbd-*-perl, N==94 at this point

I'm happy to update the packages in the pkg-perl repo and prepare
patches for the others.


Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Paul McCartney & Wings: Ballrooom Dancing
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Fri, 16 Apr 2010 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 16 Apr 2010 20:15:03 GMT) Full text and rfc822 format available.

Message #83 received at 577209@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 577209@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Fri, 16 Apr 2010 23:10:43 +0300
Thanks for pushing this forward Gregor!

On Fri, Apr 16, 2010 at 08:56:23PM +0200, gregor herrmann wrote:
> > B1. reupload DBI-1.609 as libdbi-perl 1.610.90+is+1.609-1 that
> >     Provides: perl-dbdabi-94
> 
> Done.
> No, not uploaded, just prepared in svn.
> 
> Niko, Dam, @others: could you please take a look and
> fix/uploaded/tell me to upload?

Just fixed a couple of things; I think it's better to abort the
build if the ABI number needs an update rather than just generate
a new Provides: entry silently.

It looks good to me now. Feel free to upload at will.

> > B2. binNMU libdbd-*-perl [1] again with a dep-wait on the new libdbi-perl;
> >     wait until the currently broken binNMUs in squeeze are superseded
> 
> Niko, could you please handle this binNMU request, I think you can
> explain the situation best :)

Sure. I was hoping for an ack from the release team first but I suppose
they're too busy.

I'll file the release.debian.org bug when I see you've uploaded.

> > B3. file bugs to get a binNMU safe perl-dbdabi-N dependency into
> >     libdbd-*-perl, N==94 at this point
> 
> I'm happy to update the packages in the pkg-perl repo and prepare
> patches for the others.

Great!
-- 
Niko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Fri, 16 Apr 2010 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 16 Apr 2010 21:03:06 GMT) Full text and rfc822 format available.

Message #88 received at 577209@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 577209@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Fri, 16 Apr 2010 22:58:27 +0200
[Message part 1 (text/plain, inline)]
On Fri, 16 Apr 2010 23:10:43 +0300, Niko Tyni wrote:

> Thanks for pushing this forward Gregor!

No problem, I want us to get rid of our headaches :)
 
> On Fri, Apr 16, 2010 at 08:56:23PM +0200, gregor herrmann wrote:
> > Niko, Dam, @others: could you please take a look and
> > fix/uploaded/tell me to upload?
> Just fixed a couple of things; I think it's better to abort the
> build if the ABI number needs an update rather than just generate
> a new Provides: entry silently.

Looks like a good idea to me.
 
> It looks good to me now. Feel free to upload at will.

Done.
 
> > > B2. binNMU libdbd-*-perl [1] again with a dep-wait on the new libdbi-perl;
> > >     wait until the currently broken binNMUs in squeeze are superseded
> > Niko, could you please handle this binNMU request, I think you can
> > explain the situation best :)
> Sure. I was hoping for an ack from the release team first but I suppose
> they're too busy.
> I'll file the release.debian.org bug when I see you've uploaded.

Great, thanks!
 
> > > B3. file bugs to get a binNMU safe perl-dbdabi-N dependency into
> > >     libdbd-*-perl, N==94 at this point
> > I'm happy to update the packages in the pkg-perl repo and prepare
> > patches for the others.
> Great!

Be prepared to receive another request-for-review for the first
package :)


Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Peter Ratzenbeck: Nix is so stΓΌ'
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577209; Package libdbi-perl. (Fri, 16 Apr 2010 22:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 16 Apr 2010 22:30:06 GMT) Full text and rfc822 format available.

Message #93 received at 577209@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 577209@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Sat, 17 Apr 2010 01:28:03 +0300
On Fri, Apr 16, 2010 at 10:58:27PM +0200, gregor herrmann wrote:

> > > > B2. binNMU libdbd-*-perl [1] again with a dep-wait on the new libdbi-perl;
> > > >     wait until the currently broken binNMUs in squeeze are superseded
> > > Niko, could you please handle this binNMU request, I think you can
> > > explain the situation best :)
> > Sure. I was hoping for an ack from the release team first but I suppose
> > they're too busy.
> > I'll file the release.debian.org bug when I see you've uploaded.

Now filed as #578105.

> Be prepared to receive another request-for-review for the first
> package :)

Sure, no problem.
-- 
Niko




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Sun, 18 Apr 2010 06:30:04 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Sun, 18 Apr 2010 06:30:04 GMT) Full text and rfc822 format available.

Message #98 received at 577209-done@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 577209-done@bugs.debian.org
Subject: Re: Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades
Date: Sun, 18 Apr 2010 09:28:50 +0300
Version: 1.610.90+is+1.609-1

On Sat, Apr 17, 2010 at 01:28:03AM +0300, Niko Tyni wrote:
 
> > > > > B2. binNMU libdbd-*-perl [1] again with a dep-wait on the new libdbi-perl;
> > > > >     wait until the currently broken binNMUs in squeeze are superseded
 
> Now filed as #578105.

The binNMUs have been scheduled and no further source changes are needed
for this issue.  I'm closing the bug at 1.610.90+is+1.609-1 so that it
can reach testing normally.

The next step is to make libdbd-*-perl depend on perl-dbdabi-xx; after
that libdbi-perl can be updated to the new ABI level in a controlled way.
-- 
Niko Tyni   ntyni@debian.org




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Jul 2010 07:29:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:52:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.